"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.downloadFile = downloadFile;

var request = require('request');

var fs = require('fs-extra');

var path = require('path');

function downloadFile(args) {
  var directory = args.directory;
  var cookieHeader = args.cookies.map(function (e) {
    return e.name + '=' + e.value;
  }).join(';');
  var fileName = args.fileName;
  return new Promise(function (resolve, reject) {
    request({
      url: args.url,
      encoding: null,
      headers: {
        Cookie: cookieHeader
      }
    }, function (err, res, body) {
      if (!res) {
        return reject(new Error('No response'));
      }

      if (res.statusCode !== 200) {
        return reject(new Error('Bad status code: ' + res.statusCode));
      }

      var file = path.join(directory, fileName);
      fs.outputFileSync(file, body);
      resolve(body);
    });
  });
}